using System;
using UnityEngine;

public class SAMeshColliderBuilder : MonoBehaviour
{
	public SAMeshColliderCommon.SplitProperty splitProperty
	{
		get
		{
			return (this.meshColliderBuilderProperty == null) ? null : this.meshColliderBuilderProperty.splitProperty;
		}
	}

	public SAColliderBuilderCommon.ReducerProperty reducerProperty
	{
		get
		{
			return (this.meshColliderBuilderProperty == null) ? null : this.meshColliderBuilderProperty.reducerProperty;
		}
	}

	public SAColliderBuilderCommon.ColliderProperty colliderProperty
	{
		get
		{
			return (this.meshColliderBuilderProperty == null) ? null : this.meshColliderBuilderProperty.colliderProperty;
		}
	}

	public SAColliderBuilderCommon.RigidbodyProperty rigidbodyProperty
	{
		get
		{
			return (this.meshColliderBuilderProperty == null) ? null : this.meshColliderBuilderProperty.rigidbodyProperty;
		}
	}

	public bool splitMaterialEnabled
	{
		get
		{
			return this.splitProperty != null && this.splitProperty.splitMaterialEnabled;
		}
	}

	public bool splitPrimitiveEnabled
	{
		get
		{
			return this.splitProperty != null && this.splitProperty.splitPrimitiveEnabled;
		}
	}

	public bool splitPolygonNormalEnabled
	{
		get
		{
			return this.splitProperty != null && this.splitProperty.splitPolygonNormalEnabled;
		}
	}

	public float splitPolygonNormalAngle
	{
		get
		{
			return (this.splitProperty == null) ? 0f : this.splitProperty.splitPolygonNormalAngle;
		}
	}

	public SAMeshColliderCommon.SAMeshColliderBuilderProperty meshColliderBuilderProperty = new SAMeshColliderCommon.SAMeshColliderBuilderProperty();

	[NonSerialized]
	public SAMeshColliderCommon.SAMeshColliderBuilderProperty edittingMeshColliderBuilderProperty;

	[NonSerialized]
	public bool cleanupModified;

	[NonSerialized]
	public bool isDebug;
}
